Subject: bug#10136: Can't view some strange characters in some of the man pages

From: Pádraig Brady <[email-masked]>
Date: Sat, 26 Nov 2011 11:46:54 +0000

tags 10136 + notabug
close 10136

You didn't give the source of this mangled man page,
so I'm closing this as it's not related to coreutils.
More notes below.

On 11/25/2011 09:22 PM, Alan Curry wrote:
> Harold Raulston writes:
>>
>> Hi,
>>
>> Could you tell me what encoding I need to use to view your man pages?
>>
>> I've tried Unicode, Western, Western ISO, but still get some unreadable
>> characters in the EXAMPLES (I've just looked at the find and du commands so
>> far):
>>
>> =C3=A2=E2=82=AC=C3=A2=E2=82=AC=E2=84=A2 linuxcommand find1 can't display re=
>> ad
>>
>> BTW, I'm using Win7 Pro English, IE9. All latest updates.
>> I have the same problem in Chrome...
> 
> man pages are read with the man program. HTML is Not The Way.
> 
> [c3 a2 e2 82 ac c3 a2 e2 82 ac e2 84 a2] is what you get when you start with
> U+2019 RIGHT SINGLE QUOTATION MARK in UTF8, then misinterpret it as
> windows-1252 and convert it to UTF8 again.

This is a common manglement. Reversing the process is a little tricky:
http://www.pixelbeat.org/docs/unicode_utils/

> We were *so* unfortunate when we didn't have all these extra kinds of
> quotation marks.

Yes, they are a common source of confusion:
http://www2.cs.sfu.ca/~ggbaker/reference/characters/

cheers,
Pádraig.